Content view promotion: text refers to org id (?) rather than org name

07/02/2014 08:57 AM - Brad Buckingham

Status: Closed   

Priority: Normal   

Assignee: Brad Buckingham   

Category: Web UI   

Target version: Katello 2.0   

Difficulty: trivial Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1113740 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1113740

Description of problem:

When promoting a CV to a new environment, text reads what appears to be the org id, not the org name.

Version-Release number of selected component (if applicable):

Satellite-6.0.3-RHEL-6-20140626.0  but seen far earlier.

How reproducible:

Steps to Reproduce:

1. Create a set of environments

2.  Sync content

3.  Create a content view

4.  Add content to content view and publish

5.  Attempt to promote to new environment

Actual results:

text which reads:

Choose one or more lifecycle environments from the existing promotion paths available in '1'.

Expected results:

Probably something like

Choose one or more lifecycle environments from the existing promotion paths available in 'ACME_Corporation'.

Additional info:

Associated revisions

Revision 565a5785 - 07/02/2014 09:13 AM - Brad Buckingham

fixes #6469 / BZ 1113740 - content view promotion - remove org id from user message

When promoting a content view version, a message like the following

was displayed to the user:

Choose one or more lifecycle environments from the existing promotion paths available in '1'.

The '1' was intended to represent the organization.  In the past, this was the

org label; however, CurrentOrganization has since been updated

to use org id, resulting in this behavior.

Rather than add another request to the server to obtain the org

name and since we generally don't use that type of terminology

elsewhere in the UI, this commit is making the message generic.
(Note:the user can still see what org they are in via the org

switcher located on every page)

Revision 23d49999 - 07/02/2014 09:13 AM - Brad Buckingham

fixes #6469 / BZ 1113740 - content view promotion - remove org id from user message

When promoting a content view version, a message like the following

was displayed to the user:

Choose one or more lifecycle environments from the existing promotion paths available in '1'.

The '1' was intended to represent the organization.  In the past, this was the

org label; however, CurrentOrganization has since been updated

to use org id, resulting in this behavior.

Rather than add another request to the server to obtain the org

name and since we generally don't use that type of terminology

elsewhere in the UI, this commit is making the message generic.

(Note:the user can still see what org they are in via the org

switcher located on every page)

Revision cb6e5457 - 07/07/2014 10:22 AM - Brad Buckingham

Merge pull request #4376 from bbuckingham/issue-6469

fixes #6469 / BZ 1113740 - content view promotion - remove org id from user message

Revision 593ae302 - 07/07/2014 10:22 AM - Brad Buckingham

Merge pull request #4376 from bbuckingham/issue-6469

fixes #6469 / BZ 1113740 - content view promotion - remove org id from user message

History

#1 - 07/07/2014 11:03 AM - Brad Buckingham

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset katello|565a57855dd7afea467c1893f5b101aff52916d9.

#2 - 07/07/2014 11:19 AM - Eric Helms

- Assignee set to Brad Buckingham

- Target version set to 49

- Difficulty set to trivial

- Triaged changed from No to Yes

#3 - 08/22/2014 09:00 AM - Eric Helms

- translation missing: en.field_release set to 13
